Skip to main content
`Ctrl`+`K`

# ISGetBlockSize

Returns the number of elements in a block.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetBlockSize(IS is, PetscInt *size)

Not Collective

## Input Parameter

- is - the index set

## Output Parameter

- size - the number of elements in a block

## Note

See `ISSetBlockSize()`

## See Also

`IS`, `ISBlockGetSize()`, `ISGetSize()`, `ISCreateBlock()`, `ISSetBlockSize()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/vec/is/is/tutorials/ex3f90.F90
src/vec/is/is/tutorials/ex3.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages